curl --request POST \
--url https://hg.cash/api/v1/claims \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountId": "550e8400-e29b-41d4-a716-446655440123",
"from": "Juan Pérez",
"to": "Mi cuenta HG",
"operationNumber": "987654321",
"coelsaCode": "67REZ8NPQDQ460QK94KVGO",
"amount": 1500,
"currency": "ARS",
"file": {
"contentBase64": "<bytes de PDF ou imagem em base64>",
"mimeType": "application/pdf",
"filename": "comprobante.pdf"
}
}
'import requests
url = "https://hg.cash/api/v1/claims"
payload = {
"accountId": "550e8400-e29b-41d4-a716-446655440123",
"from": "Juan Pérez",
"to": "Mi cuenta HG",
"operationNumber": "987654321",
"coelsaCode": "67REZ8NPQDQ460QK94KVGO",
"amount": 1500,
"currency": "ARS",
"file": {
"contentBase64": "<bytes de PDF ou imagem em base64>",
"mimeType": "application/pdf",
"filename": "comprobante.pdf"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountId: '550e8400-e29b-41d4-a716-446655440123',
from: 'Juan Pérez',
to: 'Mi cuenta HG',
operationNumber: '987654321',
coelsaCode: '67REZ8NPQDQ460QK94KVGO',
amount: 1500,
currency: 'ARS',
file: {
contentBase64: '<bytes de PDF ou imagem em base64>',
mimeType: 'application/pdf',
filename: 'comprobante.pdf'
}
})
};
fetch('https://hg.cash/api/v1/claims', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://hg.cash/api/v1/claims",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'accountId' => '550e8400-e29b-41d4-a716-446655440123',
'from' => 'Juan Pérez',
'to' => 'Mi cuenta HG',
'operationNumber' => '987654321',
'coelsaCode' => '67REZ8NPQDQ460QK94KVGO',
'amount' => 1500,
'currency' => 'ARS',
'file' => [
'contentBase64' => '<bytes de PDF ou imagem em base64>',
'mimeType' => 'application/pdf',
'filename' => 'comprobante.pdf'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://hg.cash/api/v1/claims"
payload := strings.NewReader("{\n \"accountId\": \"550e8400-e29b-41d4-a716-446655440123\",\n \"from\": \"Juan Pérez\",\n \"to\": \"Mi cuenta HG\",\n \"operationNumber\": \"987654321\",\n \"coelsaCode\": \"67REZ8NPQDQ460QK94KVGO\",\n \"amount\": 1500,\n \"currency\": \"ARS\",\n \"file\": {\n \"contentBase64\": \"<bytes de PDF ou imagem em base64>\",\n \"mimeType\": \"application/pdf\",\n \"filename\": \"comprobante.pdf\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://hg.cash/api/v1/claims")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"accountId\": \"550e8400-e29b-41d4-a716-446655440123\",\n \"from\": \"Juan Pérez\",\n \"to\": \"Mi cuenta HG\",\n \"operationNumber\": \"987654321\",\n \"coelsaCode\": \"67REZ8NPQDQ460QK94KVGO\",\n \"amount\": 1500,\n \"currency\": \"ARS\",\n \"file\": {\n \"contentBase64\": \"<bytes de PDF ou imagem em base64>\",\n \"mimeType\": \"application/pdf\",\n \"filename\": \"comprobante.pdf\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://hg.cash/api/v1/claims")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"accountId\": \"550e8400-e29b-41d4-a716-446655440123\",\n \"from\": \"Juan Pérez\",\n \"to\": \"Mi cuenta HG\",\n \"operationNumber\": \"987654321\",\n \"coelsaCode\": \"67REZ8NPQDQ460QK94KVGO\",\n \"amount\": 1500,\n \"currency\": \"ARS\",\n \"file\": {\n \"contentBase64\": \"<bytes de PDF ou imagem em base64>\",\n \"mimeType\": \"application/pdf\",\n \"filename\": \"comprobante.pdf\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "OPEN",
"operationNumber": "<string>",
"coelsaCode": "<string>",
"amount": "1500.00",
"currency": "ARS",
"extractedData": {
"from": "<string>",
"to": "<string>"
},
"originalFilename": "<string>",
"mimeType": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Criar reclamação com comprovante anexado
Cria uma reclamação com a evidência do comprovante de transferência anexada como PDF ou JPEG codificado em base64.
Todos os campos de metadados devem ser enviados explicitamente; a API não analisa nem extrai dados do arquivo.
Chamadas ADMIN devem incluir accountId. Chamadas USER podem omitir accountId ou associar a reclamação apenas à própria conta.
Requer que o recurso Reclamações (canAccessClaims) esteja habilitado para quem chama.
curl --request POST \
--url https://hg.cash/api/v1/claims \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountId": "550e8400-e29b-41d4-a716-446655440123",
"from": "Juan Pérez",
"to": "Mi cuenta HG",
"operationNumber": "987654321",
"coelsaCode": "67REZ8NPQDQ460QK94KVGO",
"amount": 1500,
"currency": "ARS",
"file": {
"contentBase64": "<bytes de PDF ou imagem em base64>",
"mimeType": "application/pdf",
"filename": "comprobante.pdf"
}
}
'import requests
url = "https://hg.cash/api/v1/claims"
payload = {
"accountId": "550e8400-e29b-41d4-a716-446655440123",
"from": "Juan Pérez",
"to": "Mi cuenta HG",
"operationNumber": "987654321",
"coelsaCode": "67REZ8NPQDQ460QK94KVGO",
"amount": 1500,
"currency": "ARS",
"file": {
"contentBase64": "<bytes de PDF ou imagem em base64>",
"mimeType": "application/pdf",
"filename": "comprobante.pdf"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountId: '550e8400-e29b-41d4-a716-446655440123',
from: 'Juan Pérez',
to: 'Mi cuenta HG',
operationNumber: '987654321',
coelsaCode: '67REZ8NPQDQ460QK94KVGO',
amount: 1500,
currency: 'ARS',
file: {
contentBase64: '<bytes de PDF ou imagem em base64>',
mimeType: 'application/pdf',
filename: 'comprobante.pdf'
}
})
};
fetch('https://hg.cash/api/v1/claims', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://hg.cash/api/v1/claims",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'accountId' => '550e8400-e29b-41d4-a716-446655440123',
'from' => 'Juan Pérez',
'to' => 'Mi cuenta HG',
'operationNumber' => '987654321',
'coelsaCode' => '67REZ8NPQDQ460QK94KVGO',
'amount' => 1500,
'currency' => 'ARS',
'file' => [
'contentBase64' => '<bytes de PDF ou imagem em base64>',
'mimeType' => 'application/pdf',
'filename' => 'comprobante.pdf'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://hg.cash/api/v1/claims"
payload := strings.NewReader("{\n \"accountId\": \"550e8400-e29b-41d4-a716-446655440123\",\n \"from\": \"Juan Pérez\",\n \"to\": \"Mi cuenta HG\",\n \"operationNumber\": \"987654321\",\n \"coelsaCode\": \"67REZ8NPQDQ460QK94KVGO\",\n \"amount\": 1500,\n \"currency\": \"ARS\",\n \"file\": {\n \"contentBase64\": \"<bytes de PDF ou imagem em base64>\",\n \"mimeType\": \"application/pdf\",\n \"filename\": \"comprobante.pdf\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://hg.cash/api/v1/claims")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"accountId\": \"550e8400-e29b-41d4-a716-446655440123\",\n \"from\": \"Juan Pérez\",\n \"to\": \"Mi cuenta HG\",\n \"operationNumber\": \"987654321\",\n \"coelsaCode\": \"67REZ8NPQDQ460QK94KVGO\",\n \"amount\": 1500,\n \"currency\": \"ARS\",\n \"file\": {\n \"contentBase64\": \"<bytes de PDF ou imagem em base64>\",\n \"mimeType\": \"application/pdf\",\n \"filename\": \"comprobante.pdf\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://hg.cash/api/v1/claims")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"accountId\": \"550e8400-e29b-41d4-a716-446655440123\",\n \"from\": \"Juan Pérez\",\n \"to\": \"Mi cuenta HG\",\n \"operationNumber\": \"987654321\",\n \"coelsaCode\": \"67REZ8NPQDQ460QK94KVGO\",\n \"amount\": 1500,\n \"currency\": \"ARS\",\n \"file\": {\n \"contentBase64\": \"<bytes de PDF ou imagem em base64>\",\n \"mimeType\": \"application/pdf\",\n \"filename\": \"comprobante.pdf\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "OPEN",
"operationNumber": "<string>",
"coelsaCode": "<string>",
"amount": "1500.00",
"currency": "ARS",
"extractedData": {
"from": "<string>",
"to": "<string>"
},
"originalFilename": "<string>",
"mimeType": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Autorizações
Token de autenticação da API do usuário com o formato cash_<64-char-hex>. Valor de exemplo cash_16cdc3b6f83c72d9d2680adca4f430962981f6bf32613a129dded0aa060387d2.
Corpo
Dados para criar uma reclamação com o comprovante de transferência anexado. Todos os metadados são enviados explicitamente; a API não analisa nem extrai dados do arquivo.
Conta de origem ou nome do pagador conforme o comprovante.
"Juan Pérez"
Nome da conta de destino conforme o comprovante.
"Mi cuenta HG"
Número da operação bancária do comprovante.
"987654321"
Código de identificação COELSA (exatamente 22 caracteres alfanuméricos maiúsculos).
^[A-Z0-9]{22}$"67REZ8NPQDQ460QK94KVGO"
Valor positivo com no máximo 2 casas decimais.
1500
ARS, USD, USDT "ARS"
Show child attributes
Show child attributes
Obrigatório para chamadas ADMIN; opcional para USER (associa a reclamação apenas à sua própria conta).
"550e8400-e29b-41d4-a716-446655440123"
Resposta
Criado
OPEN, UNDER_REVIEW, RESOLVED, REJECTED Valor decimal com 2 casas decimais.
"1500.00"
ARS, USD, USDT Show child attributes
Show child attributes

